tos-check-env(1)

NAME

tos-check-env - Check that your environment is properly configured for TinyOS development

SYNOPSIS

tos-check-env [-avr] [-msp]

DESCRIPTION

tos-check-env checks that your environment is properly configured for TinyOS development. The script checks for the existence of compilers, java, environment variables, graphics tools for nesdoc, and more, and then check that the versions and settings are adequate for TinyOS development. Information is printed to STDOUT for each check as the checks are made.

After tos-check-env checks the environment, any descrepances found will be printed to STDOUT along with hints on how to fix the descrepencies.

tos-check-env takes an optional argument that specifies a specific compiler chain (avr or msp) to check. -avr will check for only the avr toolchain and exclude msp checks; -msp will check for only the msp toolchain and exclude avr checks.